Bitcoin Core versie 25.0 uitgebracht met nieuwe functies en use-cases voor transacties




Bitcoin Core versie 25.0 is uitgebracht, met nieuwe functies, bugfixes en prestatieverbeteringen in de software. Gebruikers kunnen de nieuwste versie downloaden van de officiële Bitcoin Core-website of hun bestaande installaties bijwerken. De release-opmerkingen beschrijven de wijzigingen en geven instructies voor het upgraden.

Een opmerkelijke verandering is het toestaan ​​van transacties met een grootte van 65 bytes en meer zonder getuige, wat nieuwe gebruiksscenario’s opent en de bescherming tegen kwetsbaarheden zoals CVE-2017-12842 verbetert. Een andere toevoeging is de scanblocks RPC, die snelle herscans van portemonnees mogelijk maakt door relevante blockhashes uit een reeks descriptors terug te sturen.

In termen van RPC-updates accepteren alle JSON-RPC-methoden nu een nieuwe benoemde parameter genaamd “args” voor het gemakkelijk doorgeven van positionele parameterwaarden. Bovendien retourneert de RPC van de verificatieketen nu ‘false’ als controles niet op de gewenste diepte en op het gewenste niveau kunnen worden voltooid, wat zorgt voor nauwkeurigere feedback.

De release bevat ook wijzigingen in het buildsysteem, bijgewerkte instellingen en nieuwe functies. Met de optie shutdownnotify kunnen gebruikers bijvoorbeeld een opdracht specificeren die moet worden uitgevoerd voordat Bitcoin Core met de afsluitprocedure begint. In de portemonnee-sectie zijn nieuwe opties zoals minconf en maxconf toegevoegd aan verschillende RPC’s, waardoor er meer controle is over UTXO-bevestigingen.

Bitcoin Core 25.0 introduceert verschillende verbeteringen en optimalisaties, waardoor de gebruikerservaring en beveiliging van de software worden verbeterd. Zoals bij elke release, worden gebruikers aangemoedigd om eventuele bugs die ze tegenkomen te melden aan de officiële GitHub issue tracker.

Bitcoin Core wordt breed ondersteund en getest op belangrijke besturingssystemen zoals Linux, macOS en Windows. Het wordt echter niet aanbevolen om Bitcoin Core op niet-ondersteunde systemen te gebruiken. Gebruikers moeten ervoor zorgen dat ze een compatibel besturingssysteem gebruiken voordat ze upgraden naar de nieuwste versie. Bovendien worden gebruikers aangemoedigd om de release-opmerkingen te bekijken voor een gedetailleerd begrip van de verbeteringen in deze versie bij het upgraden.

Plaats een reactie